package calendar1;

import java.util.ArrayList;
import java.util.GregorianCalendar;
import java.util.Objects;

public class CalendarUtil {
    private CalendarUtil() {
    }

    //druga sobota września
    private static Swieto pierwszapomoc(int year) {
        YMD ymd = new YMD(year, 9, 1.5);
        int day = YMD.dayOfWeek(ymd);
        if (day == 6) {
            ymd.addDays(7);
            return new Swieto("Światowy Dzień Pierwszej Pomocy",
                    (int) ymd.getDd(), ymd.getMm());
        }
        ymd.addDays(7 + 6 - day);
        return new Swieto("Światowy Dzień Pierwszej Pomocy", (int) ymd.getDd(),
                ymd.getMm());
    }

    //pierwsza niedziela czerwca
    private static Swieto dzienchemika(int year) {
        YMD ymd = new YMD(year, 6, 1.5);
        int day = YMD.dayOfWeek(ymd);
        if (day == 0) {
            return new Swieto("Dzień Chemika", (int) ymd.getDd(), ymd.getMm());
        }
        ymd.addDays(7 - day);
        return new Swieto("Dzień Chemika", (int) ymd.getDd(), ymd.getMm());
    }

    //pierwsza niedziela sierpnia
    private static Swieto dzienprzyjazni(int year) {
        YMD ymd = new YMD(year, 8, 1.5);
        int day = YMD.dayOfWeek(ymd);
        if (day == 0) {
            return new Swieto("Międzynarodowy Dzień Przyjaźni",
                    (int) ymd.getDd(), ymd.getMm());
        }
        ymd.addDays(7 - day);
        return new Swieto("Międzynarodowy Dzień Przyjaźni", (int) ymd.getDd(),
                ymd.getMm());
    }

    //pierwszy poniedziałek kwietnia
    private static Swieto dzientrzezwosci(int year) {
        YMD ymd = new YMD(year, 4, 1.5);
        int day = YMD.dayOfWeek(ymd);
        if (day == 1) {
            return new Swieto("Międzynarodowy Dzień Trzeźwości",
                    (int) ymd.getDd(), ymd.getMm());
        }
        ymd.addDays(7 - day);
        return new Swieto("Międzynarodowy Dzień Trzeźwości", (int) ymd.getDd(),
                ymd.getMm());
    }

    //ostatnia sobota marca
    private static Swieto godzinadlaziemi(int year) {
        YMD ymd = new YMD(year, 3, 31.5);
        int day = YMD.dayOfWeek(ymd);
        YMD ymd2;
        if (day != 6) {
            ymd2 = YMD.substractDays(ymd, day + 1);
            return new Swieto("Godzina dla Ziemi", (int) Objects.requireNonNull(ymd2).getDd(),
                    ymd2.getMm());
        }
        return new Swieto("Godzina dla Ziemi", (int) ymd.getDd(), ymd.getMm());
    }

    private static Swieto rownonocwiosenna(int rok) {
        int m = 3;
        Swieto sw = null;
        switch (rok) {
            case 2012:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 6:14", 20,
                        m);
                break;
            case 2013:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 12:02",
                        20, m);
                break;
            case 2014:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 17:57",
                        20, m);
                break;
            case 2015:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 23:45",
                        20, m);
                break;
            case 2016:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 5:30", 20,
                        m);
                break;
            case 2017:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 11:9", 20,
                        m);
                break;
            case 2018:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 17:15",
                        20, m);
                break;
            case 2019:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 22:58",
                        20, m);
                break;
            case 2020:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 4:50", 20,
                        m);
                break;
            case 2021:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 10:37", 20,
                        m);
                break;
            case 2022:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 16:33", 20,
                        m);
                break;
            case 2023:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 22:24", 20,
                        m);
                break;
            case 2024:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 4:06", 20,
                        m);
                break;
            case 2025:
                sw = new Swieto("Równonoc wiosenna - początek wiosny 10:01", 20,
                        m);
                break;
        }
        return sw;
    }

    private static Swieto rownonocjesienna(int rok) {
        int m = 9;
        Swieto sw = null;
        switch (rok) {
            case 2012:
                sw = new Swieto("Równonoc jesienna - początek jesieni 16:49",
                        22, m);
                break;
            case 2013:
                sw = new Swieto("Równonoc jesienna - początek jesieni 22:44",
                        22, m);
                break;
            case 2014:
                sw = new Swieto("Równonoc jesienna - początek jesieni 4:29",
                        23, m);
                break;
            case 2015:
                sw = new Swieto("Równonoc jesienna - początek jesieni 10:21",
                        23, m);
                break;
            case 2016:
                sw = new Swieto("Równonoc jesienna - początek jesieni 16:21",
                        22, m);
                break;
            case 2017:
                sw = new Swieto("Równonoc jesienna - początek jesieni 22:02",
                        22, m);
                break;
            case 2018:
                sw = new Swieto("Równonoc jesienna - początek jesieni", 23, m);
                break;
            case 2019:
                sw = new Swieto("Równonoc jesienna - początek jesieni 9:50",
                        23, m);
                break;
            case 2020:
                sw = new Swieto("Równonoc jesienna - początek jesieni 15:31",
                        22, m);
                break;
            case 2021:
                sw = new Swieto("Równonoc jesienna - początek jesieni 21:21",
                        22, m);
                break;
            case 2022:
                sw = new Swieto("Równonoc jesienna - początek jesieni 03:04",
                        2, m);
                break;
            case 2023:
                sw = new Swieto("Równonoc jesienna - początek jesieni 8:50",
                        23, m);
                break;
            case 2024:
                sw = new Swieto("Równonoc jesienna - początek jesieni 14:44",
                        22, m);
                break;
            case 2025:
                sw = new Swieto("Równonoc jesienna - początek jesieni 20:19",
                        22, m);
                break;
        }
        return sw;
    }

    private static Swieto przesilenieletnie(int rok) {
        int m = 6;
        Swieto sw = null;
        switch (rok) {
            case 2012:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały) - początek lata 1:09",
                        21, m);
                break;
            case 2013:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały) - początek lata 7:04",
                        21, m);
                break;
            case 2014:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały) - początek lata 12:51",
                        21, m);
                break;
            case 2015:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały) - początek lata 18:38",
                        21, m);
                break;
            case 2016:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 0:34",
                        21, m);
                break;
            case 2017:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 6:24",
                        21, m);
                break;
            case 2018:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 12:07",
                        21, m);
                break;
            case 2019:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 17:54",
                        21, m);
                break;
            case 2020:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 23:44",
                        20, m);
                break;
            case 2021:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 5:32",
                        21, m);
                break;
            case 2022:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 11:14",
                        21, m);
                break;
            case 2023:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 16:58",
                        21, m);
                break;
            case 2024:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 22:51",
                        20, m);
                break;
            case 2025:
                sw = new Swieto(
                        "Przesilenie letnie (Noc Kupały)- początek lata 04:42",
                        21, m);
                break;
        }
        return sw;
    }

    private static Swieto przesileniezimowe(int rok) {
        int m = 12;
        Swieto sw = null;
        switch (rok) {
            case 2012:
                sw = new Swieto("Przesilenie zimowe - początek zimy 12:12", 21,
                        m);
                break;
            case 2013:
                sw = new Swieto("Przesilenie zimowe - początek zimy 18:11", 21,
                        m);
                break;
            case 2014:
                sw = new Swieto("Przesilenie zimowe - początek zimy 0:03", 22,
                        m);
                break;
            case 2015:
                sw = new Swieto("Przesilenie zimowe - początek zimy 5:48", 22,
                        m);
                break;
            case 2016:
                sw = new Swieto("Przesilenie zimowe - początek zimy 11:44", 21,
                        m);
                break;
            case 2017:
                sw = new Swieto("Przesilenie zimowe - początek zimy 17:28", 21,
                        m);
                break;
            case 2018:
                sw = new Swieto("Przesilenie zimowe - początek zimy 23:23", 21,
                        m);
                break;
            case 2019:
                sw = new Swieto("Przesilenie zimowe - początek zimy 5:19", 22,
                        m);
                break;
            case 2020:
                sw = new Swieto("Przesilenie zimowe - początek zimy 11:03", 21,
                        m);
                break;
            case 2021:
                sw = new Swieto("Przesilenie zimowe - początek zimy 16:59", 21,
                        m);
                break;
            case 2022:
                sw = new Swieto("Przesilenie zimowe - początek zimy 22:48", 21,
                        m);
                break;
            case 2023:
                sw = new Swieto("Przesilenie zimowe - początek zimy 04:28", 22,
                        m);
                break;
            case 2024:
                sw = new Swieto("Przesilenie zimowe - początek zimy 10:20", 21,
                        m);
                break;
            case 2025:
                sw = new Swieto("Przesilenie zimowe - początek zimy 16:03", 21,
                        m);
                break;
        }
        return sw;
    }
    private static ArrayList<Swieto> swietaCzerwone(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        int[] boze = bozeCialo(rok);
        int[] lany = lanyPoniedzialek(rok);
        int[] zielone = zieloneswiatki(rok);
        ArrayList<Swieto> swieta = new ArrayList<>();
        swieta.add(new Swieto("Nowy Rok", 1, 1));
        swieta.add(new Swieto("Trzech Króli", 6, 1));
        swieta.add(new Swieto("Święto Pracy", 1, 5));
        swieta.add(new Swieto("Święto Narodowe 3 Maja", 3, 5));
        swieta.add(new Swieto("Wniebowzięcie Najświętszej Marii Panny, Święto Wojska Polskiego", 15, 8));
        swieta.add(new Swieto("Dzień Wszystkich Świętych", 1, 11));
        swieta.add(new Swieto("Narodowe Święto Niepodległości", 11, 11));
        swieta.add(new Swieto("Boże Narodzenie - 1 dzień", 25, 12));
        swieta.add(new Swieto("Boże Narodzenie - 2 dzień", 26, 12));
        swieta.add(new Swieto("Wielkanoc", wielkanoc[0], wielkanoc[1]));
        swieta.add(new Swieto("Lany Poniedziałek", lany[0], lany[1]));
        swieta.add(new Swieto("Zielone Świątki", zielone[0], zielone[1]));
        swieta.add(new Swieto("Boże Ciało", boze[0], boze[1]));
        return swieta;
    }
    private static int[] wielkanoc(int rok) {
        int dzien;
        int miesiac;
        int wskA = 0;
        int wskB = 0;
        if(rok <= 1582){
            wskA = 15;
            wskB = 6;
        }
        else if(rok <= 1699){
            wskA = 22;
            wskB = 2;
        }
        else if(rok <= 1799){
            wskA = 23;
            wskB = 3;
        }
        else if(rok <= 1899){
            wskA = 23;
            wskB = 4;
        }
        else if(rok <= 2099){
            wskA = 24;
            wskB = 5;
        }
        else if(rok <= 2199){
            wskA = 24;
            wskB = 6;
        }
        else if(rok <= 2299){
            wskA = 25;
        }
        else if(rok <= 2399){
            wskA = 26;
            wskB = 1;
        }
        else if(rok <= 2499){
            wskA = 25;
            wskB = 1;
        }
        int a = rok % 19;
        int b = rok % 4;
        int c = rok % 7;
        int d = (a * 19 + wskA) % 30;
        int e = (2 * b + 4 * c + 6 * d + wskB) % 7;
        int liczbaDni = 22 + d + e;
        if((d == 29) && (e == 6)){
            dzien = 19;
            miesiac = 4;
        }
        else if((d == 28) & (e == 6)){
            dzien = 18;
            miesiac = 4;
        }
        else{
            if(liczbaDni <= 31){
                dzien = liczbaDni;
                miesiac = 3;
            }
            else{
                dzien = liczbaDni - 31;
                miesiac = 4;
            }
        }
        return new int[]{dzien, miesiac};
    }

    private static int[] bozeCialo(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        int dzienBoze;
        int miesiacBoze;
        int temp;
        if(wielkanoc[1] == 3){
            temp = 60 - (31 - wielkanoc[0]) - 30;
        }
        else{
            temp = 60 - (30 - wielkanoc[0]);
        }
        if(temp <= 31){
            dzienBoze = temp;
            miesiacBoze = 5;
        }
        else{
            dzienBoze = temp - 31;
            miesiacBoze = 6;
        }
        return new int[]{dzienBoze, miesiacBoze};
    }
    private static int[] lanyPoniedzialek(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        if((wielkanoc[0] == 31) && (wielkanoc[1] == 3)){
            return new int[]{1, wielkanoc[1] + 1};
        }
        else{
            return new int[]{wielkanoc[0] + 1, wielkanoc[1]};
        }
    }
    private static int[] zieloneswiatki(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.addDays(ymd, 49);
        return new int[]{(int)ymd2.getDd(), ymd2.getMm()};
    }
    private static ArrayList<Swieto> swietaStale(int rok) {
        ArrayList<Swieto> swieta = new ArrayList<>();
        swieta.add(new Swieto("Światowy Dzień Pokoju", 1, 1));
        swieta.add(new Swieto("Początek Karnawału", 6, 1));
        swieta.add(new Swieto("Dzień Filatelisty", 6, 1));
        swieta.add(new Swieto("Dzień Dziwaka", 7, 1));
        swieta.add(new Swieto("Dzień Sprzątania Biurka", 8, 1));
        swieta.add(new Swieto("Dzień Wegetarian", 11, 1));
        swieta.add(new Swieto("Dzień Wzajemnej Adoracji", 13, 1));
        swieta.add(new Swieto("Dzień Wikipedii", 15, 1));
        swieta.add(new Swieto("Dzień Pikantnych Potraw", 16, 1));
        swieta.add(new Swieto("Dzień Dialogu z Judaizmem", 17, 1));
        swieta.add(new Swieto("Dzień Babci", 21, 1));
        swieta.add(new Swieto("Dzień Dziadka", 22, 1));
        swieta.add(new Swieto("Dzień Bez Opakowań Foliowych", 23, 1));
        swieta.add(new Swieto("Światowy Dzień Celnictwa", 26, 1));
        swieta.add(new Swieto("Dzień Dialogu z Islamem", 27, 1));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Pamięci o Ofiarach Holocaustu", 27, 1));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Mobilizacji przeciwko Wojnie Nuklearnej",
                27, 1));
        swieta.add(new Swieto(
                "Dzień Przytulania - Obchodzony także 24 czerwca", 31, 1));
        swieta.add(new Swieto("Światowy Dzień Mokradeł", 2, 2));
        swieta.add(new Swieto("Dzień Handlowca", 2, 2));
        swieta.add(new Swieto("Dzień Świstaka", 2, 2));
        swieta.add(new Swieto("Światowy Dzień Pozytywnego Myślenia", 2, 2));
        swieta.add(new Swieto("Światowy Dzień Walki z Rakiem", 4, 2));
        swieta.add(new Swieto("Dzień Bezpiecznego Internetu", 8, 2));
        swieta.add(new Swieto("Międzynarodowy Dzień Pizzy", 9, 2));
        swieta.add(new Swieto("Światowe Dni Chorego - Dzień I ", 10, 2));
        swieta.add(new Swieto("Światowe Dni Chorego - Dzień II ", 11, 2));
        swieta.add(new Swieto("Dzień Darwina", 12, 2));
        swieta.add(new Swieto("Walentynki", 14, 2));
        swieta.add(new Swieto("Dzień Chorego na Padaczkę", 14, 2));
        swieta.add(new Swieto("Światowy Dzień Kota", 17, 2));
        swieta.add(new Swieto("Dzień Języka Ojczystego", 21, 2));
        swieta.add(new Swieto("Europejski Dzień Ofiar Przestępstw", 22, 2));
        swieta.add(new Swieto("Dzień Myśli Braterskiej", 22, 2));
        swieta.add(new Swieto("Ogólnopolski Dzień Walki z Depresją", 23, 2));
        swieta.add(new Swieto("Dzień Puszystych", 1, 3));
        swieta.add(new Swieto("Narodowy Dzień Pamięci \"Żołnierzy Wyklętych\"",
                1, 3));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Walki przeciwko Zbrojeniom Atomowym", 1,
                3));
        swieta.add(new Swieto("Międzynarodowy Dzień Obrony Cywilnej", 1, 3));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Chorego - obchodzony także 3 marca", 1, 3));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Chorego - obchodzony także 11 marca", 3,
                3));
        swieta.add(new Swieto("Międzynarodowy Dzień Pisarzy", 3, 3));
        swieta.add(new Swieto("Dzień Teściowej", 5, 3));
        swieta.add(new Swieto("Dzień Dentysty", 5, 3));
        swieta.add(new Swieto("Dzień Kobiet", 8, 3));
        swieta.add(new Swieto("Dzień Praw Kobiet i Pokoju na Świecie", 8, 3));
        swieta.add(new Swieto("Światowy Dzień Nerek", 8, 3));
        swieta.add(new Swieto("Dzień Mężczyzn", 10, 3));
        swieta.add(new Swieto("Dzień Sołtysa", 11, 3));
        swieta.add(new Swieto("Dzień Liczby PI", 14, 3));
        swieta.add(new Swieto("Międzynarodowy Dzień Sprzeciwu wobec Tam", 14, 3));
        swieta.add(new Swieto("Międzynarodowy Dzień Konsumenta", 15, 3));
        swieta.add(new Swieto("Światowy Dzień Morza", 16, 3));
        swieta.add(new Swieto("Światowy Dzień Słońca", 20, 3));
        swieta.add(new Swieto("Międzynarodowy Dzień Astrologii", 20, 3));
        swieta.add(new Swieto("Międzynarodowy Dzień Ziemi", 20, 3));
        swieta.add(new Swieto("Dzień bez Mięsa", 20, 3));
        swieta.add(new Swieto("Światowy Dzień Lasu", 21, 3));
        swieta.add(new Swieto("Dzień Wagarowicza", 21, 3));
        swieta.add(new Swieto("Światowy Dzień Poezji (ONZ)", 21, 3));
        swieta.add(new Swieto("Światowy Dzień Walki z Dyskryminacją Rasową",
                21, 3));
        swieta.add(new Swieto("Światowy Dzień Wierzby", 21, 3));
        swieta.add(new Swieto("Światowy Dzień Wody", 22, 3));
        swieta.add(new Swieto("Dzień Morza Bałtyckiego", 22, 3));
        swieta.add(new Swieto("Światowy Dzień Przyjaźni Polsko - Węgierskiej",
                23, 3));
        swieta.add(new Swieto("Światowy Dzień Meteorologii", 23, 3));
        swieta.add(new Swieto("Narodowy Dzień Życia", 24, 3));
        swieta.add(new Swieto("Światowy Dzień Walki z Gruźlicą", 24, 3));
        swieta.add(new Swieto("Dzień Świętości Życia (katolickie)", 25, 3));
        swieta.add(new Swieto("Światowy Dzień Teatru", 27, 3));
        swieta.add(new Swieto("Ogólnopolski Dzień Wolnej Konkurencji", 27, 3));
        swieta.add(new Swieto("Dzień Metalowca", 29, 3));
        swieta.add(new Swieto("Prima Aprilis", 1, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Ptaków", 1, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Książki dla Dzieci", 1, 4));
        swieta.add(new Swieto(
                "Dzień Świętego Izydora - patrona internetu, internautów, informatyki i informatyków",
                4, 4));
        swieta.add(new Swieto("Dzień Leśnika i Drzewiarz", 5, 4));
        swieta.add(new Swieto("Światowy Dzień Zdrowia", 7, 4));
        swieta.add(new Swieto("Dzień Pamięci o Holokauście", 7, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Romów", 8, 4));
        swieta.add(new Swieto("Dzień Służby Zdrowia", 10, 4));
        swieta.add(new Swieto("Światowy Dzień Osób z Chorobą Parkinsona", 11, 4));
        swieta.add(new Swieto("Dzień Radia", 11, 4));
        swieta.add(new Swieto("Ogólnopolski Dzień Walki z Bezrobociem", 11, 4));
        swieta.add(new Swieto("Międzynardowy Dzień Lotnictwa i Kosmonautyki",
                12, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Ptaków Wędrownych", 12, 4));
        swieta.add(new Swieto("Dzień Czekolady", 12, 4));
        swieta.add(new Swieto("Światowy Dzień Pamięci Ofiar Katynia ", 13, 4));
        swieta.add(new Swieto("Dzień Ludzi Bezdomnych", 14, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Kombatanta", 15, 4));
        swieta.add(new Swieto("Światowy Dzień Trzeźwości", 15, 4));
        swieta.add(new Swieto("Święto Sapera", 16, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Ochrony Zabytków", 18, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Wolnej Prasy", 20, 4));
        swieta.add(new Swieto("Polski Dzień Ziemi", 22, 4));
        swieta.add(new Swieto("Światowy Dzień Książki i Praw Autorskich", 23, 4));
        swieta.add(new Swieto("Międzynrodowy Dzień Solidarności Młodzieży", 24,
                4));
        swieta.add(new Swieto("Międzynarodowy Dzień Walki z Hałasem", 25, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Sekretarki", 25, 4));
        swieta.add(new Swieto("Święto Polskiej Służby Więziennej", 25, 4));
        swieta.add(new Swieto("Dzień Drogowca i Transportowca", 26, 4));
        swieta.add(new Swieto("Światowy Dzień Grafika", 27, 4));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Pamięci Ofiar Wypadków przy Pracy", 28, 4));
        swieta.add(new Swieto("Międzynarodowy Dzień Tańca", 29, 4));
        swieta.add(new Swieto("Święto Polskiej Flagi", 2, 5));
        swieta.add(new Swieto("Dzień bez Komputera", 3, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Wolności Prasy (ONZ)", 3, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Astmy i Alergii", 3, 5));
        swieta.add(new Swieto("Dzień Strażaka i Hutnika", 4, 5));
        swieta.add(new Swieto("Dzień Kominiarza", 4, 5));
        swieta.add(new Swieto("Dzień Europy", 5, 5));
        swieta.add(new Swieto("Dzień Leśnika i Drzewiarza", 5, 5));
        swieta.add(new Swieto(
                "Dzień Walki z Dyskryminacją Osób Niepełnosprawnych", 5, 5));
        swieta.add(new Swieto("Dzień Zwycięstwa", 8, 5));
        swieta.add(new Swieto("Dzień Bibliotekarzy i Bibliotek", 8, 5));
        swieta.add(new Swieto("Światowy Dzień Czerwonego Krzyża", 8, 5));
        swieta.add(new Swieto("Dzień Unii Europejskiej", 9, 5));
        swieta.add(new Swieto("Dzień Zwycięstwa", 9, 5));
        swieta.add(new Swieto("Miedzynarodowy Dzień Pielęgniarek i Położnych",
                12, 5));
        swieta.add(new Swieto("Światowy Dzień Ptaków Wędrownych", 12, 5));
        swieta.add(new Swieto("Światowy Dzień Syndromu Chronicznego Zmęczenia",
                12, 5));
        swieta.add(new Swieto("Dzień Farmaceuty", 14, 5));
        swieta.add(new Swieto("Dzień Polskiej Niezapominajki", 15, 5));
        swieta.add(new Swieto("Święto Polskiej Muzyki i Plastyki", 15, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Rodziny (ONZ)", 15, 5));
        swieta.add(new Swieto("Dzień Geja", 15, 5));
        swieta.add(new Swieto("Święto Straży Granicznej", 16, 5));
        swieta.add(new Swieto("Światowy Dzień Telekomunikacji (ONZ)", 17, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Muzeów", 18, 5));
        swieta.add(new Swieto("Dzień Dobrych Uczynków", 19, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Pamięci Ofiar AIDS", 19, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Płynów do Mycia Naczyń",
                20, 5));
        swieta.add(new Swieto("Światowy Dzień Różnorodności Kulturowej (ONZ)",
                21, 5));
        swieta.add(new Swieto("Światowy dzień Kosmosu", 21, 5));
        swieta.add(new Swieto("Dzień Praw Zwierząt", 22, 5));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Różnorodności Biologicznej", 22, 5));
        swieta.add(new Swieto("Europejski Dzień Parków Narodowych ", 24, 5));
        swieta.add(new Swieto("Dzień Piwowara", 25, 5));
        swieta.add(new Swieto("Dzień Mleka", 25, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Dzieci Zaginionych", 25, 5));
        swieta.add(new Swieto("Międzynarodowy Dzień Matki", 26, 5));
        swieta.add(new Swieto("Dzień Samorządu Terytorialnego", 26, 5));
        swieta.add(new Swieto(
                "Międzynarodowy Dzień Uczestników Misji Pokojowych", 29, 5));
        swieta.add(new Swieto("Dzień Działacza Kultury i Drukarza", 29, 5));
        swieta.add(new Swieto("Dzień Rodzicielstwa Zastępczego", 30, 5));
        swieta.add(new Swieto("Dzień bez Papierosa", 31, 5));
        swieta.add(new Swieto("Światowy Dzień Rozwoju Kultury", 31, 5));
        swieta.add(new Swieto("Dzień Bociana Białego", 31, 5));
        swieta.add(new Swieto("Dzień Pracownika Przemysłu spożywczego", 31, 5));
        swieta.add(new Swieto("Dzień Chemika", 1, 6));
        swieta.add(new Swieto("Międzynarodowy Dzień Dziecka", 1, 6));
        swieta.add(new Swieto("Dzień bez Krawata", 2, 6));
        swieta.add(new Swieto("Światowy Dzień Pocałunku", 6, 6));
        swieta.add(new Swieto("Dzień Informatyka", 8, 6));
        swieta.add(new Swieto("Ogólnopolski Dzień Dogoterapii", 15, 6));
        swieta.add(new Swieto("Światowy Dzień Praw Osób Starszych", 15, 6));
        swieta.add(new Swieto("Dzień Wiatru", 15, 6));
        swieta.add(new Swieto("Święto Muzyki", 21, 6));
        swieta.add(new Swieto("Dzień Ojca", 22, 6));
        swieta.add(new Swieto("Noc Świętojańska", 23, 6));
        swieta.add(new Swieto(
                "Dzień Przytulania - Obchodzony także 31 stycznia", 24, 6));
        swieta.add(new Swieto("Dzień Psa", 1, 7));
        swieta.add(new Swieto("Światowy Dzień bez Telefonu Komórkowego", 15, 7));
        swieta.add(new Swieto("Dzień Włóczykija", 23, 7));
        swieta.add(new Swieto("Międzynarodowy Dzień Piwa", 5, 8));
        swieta.add(new Swieto("Międzynarodowy Dzień Pamięci Osób Zaginionych",
                30, 8));
        swieta.add(new Swieto("Dzień Blogów", 31, 8));
        swieta.add(new Swieto("Dzień Postaci z Bajek - także 5 listopada", 5, 9));
        swieta.add(new Swieto("Dzień Dobrej Wiadomości", 8, 9));
        swieta.add(new Swieto("Dzień Marzyciela", 8, 9));
        swieta.add(new Swieto("Międzynarodowy Dzień Urody ", 9, 9));
        swieta.add(new Swieto("Dzień Smoka", 11, 9));
        swieta.add(new Swieto("Światowy Dzień Zdrowia Jamy Ustnej", 12, 9));
        if(YMD.isLeapYear(rok)){
            swieta.add(new Swieto("Dzień Programisty", 12, 9));
        }
        else{
            swieta.add(new Swieto("Dzień Programisty", 13, 9));
        }
        swieta.add(new Swieto(
                "Dzień Solidarności z Osobami Chorymi na Schizofrenię", 15, 9));
        swieta.add(new Swieto(
                "Dzień Dzikiej Flory, Fauny i Naturalnych Siedlisk", 19, 9));
        swieta.add(new Swieto("Dzień Chłopaka", 30, 9));
        swieta.add(new Swieto("Kończy się Miesiąc Dobroci dla Zwierząt", 31, 10));
        swieta.add(new Swieto("Światowy Dzień Choroby Alzheimera", 21, 9));
        swieta.add(new Swieto("Światowy Dzień Antykoncepcji", 26, 9));
        swieta.add(new Swieto("Zaczyna się Miesiąc Dobroci dla Zwierząt", 1, 10));
        for(int i = 2; i < 31; i++){
            swieta.add(new Swieto("Trwa Miesiąc Dobroci dla Zwierząt", i, 10));
        }
        swieta.add(new Swieto("Światowy Dzień Wegetarianizmu", 1, 10));
        swieta.add(new Swieto("Polski Dzień Wegan", 1, 10));
        swieta.add(new Swieto("Międzynarodowy Dzień Muzyki", 1, 10));
        swieta.add(new Swieto("Światowy Dzień Wegan", 1, 11));
        swieta.add(new Swieto("Światowy Dzień Zwierząt Hodowlanych", 2, 10));
        swieta.add(new Swieto("Światowy Dzień Zwierząt", 4, 10));
        swieta.add(new Swieto("Światowy Dzień Reumatyzmu", 12, 10));
        swieta.add(new Swieto("Dzień Bezpiecznego Komputera", 12, 10));
        swieta.add(new Swieto("Międzynarodowy Dzień Walki z Ubóstwem", 17, 10));
        swieta.add(new Swieto("Dzień Walki z Otyłością", 24, 10));
        swieta.add(new Swieto("Dzień Kundelka", 25, 10));
        swieta.add(new Swieto("Światowy Dzień Donacji i Transplantacji", 26, 10));
        swieta.add(new Swieto("Międzynarodowy Dzień Łuszczycy", 29, 10));
        swieta.add(new Swieto("Światowy Dzień Oszczędzania", 29, 10));
        swieta.add(new Swieto("Dzień Rozrzutności", 31, 10));
        swieta.add(new Swieto(
                "Hubertus - Święto Myśliwych, Leśników oraz Jeźdźców", 3, 11));
        swieta.add(new Swieto("Dzień Taniego Wina", 3, 11));
        swieta.add(new Swieto("Dzień Postaci z Bajek - także 5 września", 5, 11));
        swieta.add(new Swieto("Światowy Dzień Gry Wstępnej", 9, 11));
        swieta.add(new Swieto("Japoński Dzień Singli", 11, 11));
        swieta.add(new Swieto("Światowy Dzień Bicia Rekordów", 12, 12));
        swieta.add(new Swieto("Międzynarodowy Dzień Niewidomych", 13, 11));
        swieta.add(new Swieto("Światowy Dzień Seniora", 14, 11));
        swieta.add(new Swieto("Światowy Dzień Tolerancji", 16, 11));
        swieta.add(new Swieto(
                "Miedzynarodowy Dzień Zapobiegania Przemocy Wobec Dzieci", 19,
                11));
        swieta.add(new Swieto("Międzynarodowy Dzień Mężczyzn", 19, 11));
        swieta.add(new Swieto("Światowy Dzień Życzliwości i Pozdrowień", 21, 11));
        swieta.add(new Swieto("Dzień Bez Futra", 25, 11));
        swieta.add(new Swieto("Dzień Pluszowego Misia", 25, 11));
        swieta.add(new Swieto("Andrzejki", 29, 11));
        swieta.add(new Swieto("Dzień Górnika", 4, 12));
        swieta.add(new Swieto("Dzień Anioła", 6, 12));
        swieta.add(new Swieto("Dzień Kupca", 8, 12));
        swieta.add(new Swieto("Dzień Dziewic", 9, 12));
        swieta.add(new Swieto("Międzynarodowy Dzień Praw Zwierząt", 10, 12));
        swieta.add(new Swieto("Dzień Bez Przekleństw", 17, 12));
        swieta.add(new Swieto("Dzień Ryby", 20, 12));
        swieta.add(new Swieto("Międzynarodowy Dzień Całowania", 28, 12));
        swieta.add(new Swieto("Światowy Dzień Różnorodności Biologicznej", 29,
                12));
        swieta.add(new Swieto("Noc Sylwestrowa", 31, 12));
        return swieta;
    }
    private static ArrayList<Swieto> swietaRuchome(int rok) {
        ArrayList<Swieto> swietaRuchome = new ArrayList<>();
        int[] wielkasobota = wielkasobota(rok);
        int[] wielkipiatek = wielkipiatek(rok);
        int[] wielkiczwartek = wielkiczwartek(rok);
        int[] palmowa = palmowa(rok);
        int[] popielec = popielec(rok);
        int[] ostatki = ostatki(rok);
        int[] ost = ostatniaSobotaKarnawalu(rok);
        int[] tlusty = tlustyczwartek(rok);
        swietaRuchome.add(new Swieto("Wielka Sobota", wielkasobota[0],
                wielkasobota[1]));
        swietaRuchome.add(new Swieto("Wielki Piątek", wielkipiatek[0],
                wielkipiatek[1]));
        swietaRuchome.add(new Swieto("Wielki Czwartek", wielkiczwartek[0],
                wielkiczwartek[1]));
        swietaRuchome.add(new Swieto("Niedziela Palmowa", palmowa[0],
                palmowa[1]));
        swietaRuchome.add(new Swieto("Środa Popielcowa", popielec[0],
                popielec[1]));
        swietaRuchome.add(new Swieto("Ostatki", ostatki[0], ostatki[1]));
        swietaRuchome.add(new Swieto("Ostatnia Sobota Karnawału", ost[0],
                ost[1]));
        swietaRuchome.add(new Swieto("Tłusty Czwartek", tlusty[0], tlusty[1]));
        YMD ymd1 = dateOfWinterToSummer(rok);
        int[] zmiana1 = {(int)ymd1.getDd(), ymd1.getMm()};
        YMD ymd2 = dateOfSummerToWinter(rok);
        int[] zmiana2 = {(int)ymd2.getDd(), ymd2.getMm()};
        swietaRuchome.add(new Swieto(
                "Dziś w nocy zmiana czasu z zimowego na letni", zmiana1[0],
                zmiana1[1]));
        swietaRuchome.add(new Swieto(
                "Dziś w nocy zmiana czasu z letniego na zimowy", zmiana2[0],
                zmiana2[1]));
        swietaRuchome.add(rownonocwiosenna(rok));
        swietaRuchome.add(rownonocjesienna(rok));
        swietaRuchome.add(przesilenieletnie(rok));
        swietaRuchome.add(przesileniezimowe(rok));
        swietaRuchome.add(godzinadlaziemi(rok));
        swietaRuchome.add(dzienchemika(rok));
        swietaRuchome.add(dzienprzyjazni(rok));
        swietaRuchome.add(pierwszapomoc(rok));
        swietaRuchome.add(dzientrzezwosci(rok));
        return swietaRuchome;
    }
    private static int[] wielkasobota(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 1);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] wielkipiatek(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 2);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] wielkiczwartek(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 3);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }
    private static int[] palmowa(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 7);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] popielec(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 46);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] ostatki(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 47);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] ostatniaSobotaKarnawalu(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 50);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }

    private static int[] tlustyczwartek(int rok) {
        int[] wielkanoc = wielkanoc(rok);
        YMD ymd = new YMD(rok, wielkanoc[1], wielkanoc[0]);
        YMD ymd2 = YMD.substractDays(ymd, 52);
        return new int[]{(int) Objects.requireNonNull(ymd2).getDd(), ymd2.getMm()};
    }
    //Podaje sobote
    private static YMD dateOfSummerToWinter(int year) {
        YMD ymd = new YMD(year, 10, 31.5);
        int day = YMD.dayOfWeek(ymd);
        ymd.substractDays(day + 1);
        return ymd;
    }
    //podaje sobote
    private static YMD dateOfWinterToSummer(int year) {
        YMD ymd = new YMD(year, 3, 31.5);
        int day = YMD.dayOfWeek(ymd);
        ymd.substractDays(day + 1);
        return ymd;
    }
    private static ArrayList<Swieto> swietaWielodniowe(int rok) {
        ArrayList<Swieto> swietaWielodniowe = new ArrayList<>();
        int[] sprzatanie = sprzatanie(rok);
        swietaWielodniowe.add(new Swieto("Akcja Sprzątanie Świata - Dzień 1",
                sprzatanie[0], sprzatanie[1]));
        swietaWielodniowe.add(new Swieto("Akcja Sprzątanie Świata - Dzień 2",
                sprzatanie[0] + 1, sprzatanie[1]));
        return swietaWielodniowe;
    }
    //trzeci weekend września
    private static int[] sprzatanie(int year) {
        YMD ymd = new YMD(year, 9, 1.5);
        int day = YMD.dayOfWeek(ymd);
        int[] tabl = new int[2];
        if(day == 6){
            ymd.addDays(14);
            tabl[0] = (int)ymd.getDd();
            tabl[1] = ymd.getMm();
            return tabl;
        }
        ymd.addDays(14 + 6 - day);
        tabl[0] = (int)ymd.getDd();
        tabl[1] = ymd.getMm();
        return tabl;
    }
    //dni świąt czerwonych w danym miesiącu do kalendarza miesięcznego
    public static int[] swieta(int miesiac, int rok) {
        ArrayList<Swieto> swieta = swietaCzerwone(rok);
        ArrayList<Integer> temp = new ArrayList<>();
        for(Swieto swieto : swieta){
            if(swieto.getMiesiac() == miesiac){
                temp.add(swieto.getDzien());
            }
        }
        int[] dni = new int[temp.size()];
        for(int i = 0; i < dni.length; i++){
            dni[i] = temp.get(i);
        }
        return dni;
    }
    //Czy danego dnia jest święto.
    public static boolean isSwieto(int[] dni, int day) {
        for (int j : dni) {
            if (j == day) {
                return true;
            }
        }
        return false;
    }
    private static ArrayList<Swieto> wszystkieSwieta(int rok) {
        ArrayList<Swieto> wszystkieSwieta = new ArrayList<>();
        wszystkieSwieta.addAll(swietaCzerwone(rok));
        wszystkieSwieta.addAll(swietaRuchome(rok));
        wszystkieSwieta.addAll(swietaStale(rok));
        wszystkieSwieta.addAll(swietaWielodniowe(rok));
        SwietaComparator sc = new SwietaComparator();
        wszystkieSwieta.sort(sc);
        return wszystkieSwieta;
    }
    public static Swieto[] swietaDzisiaj(int rok, int miesiac, int dzien) {
        ArrayList<Swieto> swieta = wszystkieSwieta(rok);
        ArrayList<Swieto> temp = new ArrayList<>();
        for(Swieto swieto : swieta){
            if((swieto.getMiesiac() == miesiac) && (swieto.getDzien() == dzien)){
                temp.add(swieto);
            }
        }
        Swieto[] s = new Swieto[temp.size()];
        for(int i = 0; i < s.length; i++){
            s[i] = temp.get(i);
        }
        return s;
    }
    public static Swieto[] swietaJutro(int rok, int miesiac, int dzien) {
        YMD dzisiaj = new YMD(rok, miesiac, dzien);
        YMD jutro = YMD.addDays(dzisiaj, 1);
        int y = jutro.getYy();
        int m = jutro.getMm();
        double d = jutro.getDd();
        ArrayList<Swieto> swieta = wszystkieSwieta(y);
        ArrayList<Swieto> temp = new ArrayList<>();
        for(Swieto swieto : swieta){
            if((swieto.getMiesiac() == m) && (swieto.getDzien() == d)){
                temp.add(swieto);
            }
        }
        Swieto[] s = new Swieto[temp.size()];
        for(int i = 0; i < s.length; i++){
            s[i] = temp.get(i);
        }
        return s;
    }
    //---------------------------------------------------
    //dla dat, gdzie rok jest 4-cyfrowy
    public static GregorianCalendar getGCDate(String date) {
        int firstDelim = -1;
        int secondDelim = -1;
        if(date.contains("-")){
            firstDelim = date.indexOf('-');
            secondDelim = date.indexOf('-', firstDelim + 1);
        }
        if(date.contains("/")){
            firstDelim = date.indexOf('/');
            secondDelim = date.indexOf('/', firstDelim + 1);
        }
        String dy;
        if(firstDelim == 4){
            dy = date.substring(0, firstDelim);
        }
        else if(firstDelim == 2){
            dy = "20".concat(date.substring(0, firstDelim));
        }
        else{
            throw new IllegalArgumentException("Nieprawidłowa data");
        }
        String dm = date.substring(firstDelim + 1, secondDelim);
        String dd = date.substring(secondDelim + 1);
        int year = Integer.parseInt(dy);
        int month = Integer.parseInt(dm);
        int day = Integer.parseInt(dd);
        return new GregorianCalendar(year, month - 1, day);
    }

    public static GregorianCalendar getGCDate(java.sql.Date data) {
        String d = data.toString();
        int year = Integer.parseInt(d.substring(0, 4));
        int month = Integer.parseInt(d.substring(5, 7));
        int day = Integer.parseInt(d.substring(9));
        return new GregorianCalendar(year, month - 1, day);
    }

    public static int[] getDate(java.sql.Date data) {
        String d = data.toString();
        int year = Integer.parseInt(d.substring(0, 4));
        int month = Integer.parseInt(d.substring(5, 7));
        int day = Integer.parseInt(d.substring(9));
        return new int[]{year, month, day};
    }

    //dla dat gdzie rok jest 4-cyfrowy
    public static java.sql.Date getSQLDate(String date) {
        int firstDelim = -1;
        int secondDelim = -1;
        StringBuilder sb = new StringBuilder();
        if(date.contains("-")){
            firstDelim = date.indexOf('-');
            secondDelim = date.indexOf('-', firstDelim + 1);
        }
        if(date.contains("/")){
            firstDelim = date.indexOf('/');
            secondDelim = date.indexOf('/', firstDelim + 1);
        }
        String dy = date.substring(0, firstDelim);
        if(firstDelim == 4){
            sb.append(dy);
            sb.append("-");
        }
        else if(firstDelim == 2){
            sb.append("20");
            sb.append(dy);
            sb.append("-");
        }
        else{
            throw new IllegalArgumentException("Nieprawidłowa data");
        }
        String dm = date.substring(firstDelim + 1, secondDelim);
        if(dm.length() == 1){
            sb.append("0");
            sb.append(dm);
            sb.append("-");
        }
        else if(dm.length() == 2){
            sb.append(dm);
            sb.append("-");
        }
        else{
            throw new IllegalArgumentException("Nieprawidłowa data");
        }
        //-
        String dd = date.substring(secondDelim + 1);
        if(dd.length() == 1){
            sb.append("0");
            sb.append(dd);
        }
        else if(dd.length() == 2){
            sb.append(dd);
        }
        else{
            throw new IllegalArgumentException("Nieprawidłowa data");
        }
        return java.sql.Date.valueOf(sb.toString());
    }

    public static String getDate(int year, int month, int day) {
        StringBuilder sb = new StringBuilder();
        if(year > 999){
            sb.append(year);
        }
        else{
            throw new IllegalArgumentException(
                    "Rok powinien być liczbą 4-cyfrową");
        }
        sb.append("-");
        if(month < 10){
            sb.append("0");
            sb.append(month);
        }
        else{
            sb.append(month);
        }
        sb.append("-");
        if(day > 9){
            sb.append(day);
        }
        else{
            sb.append("0");
            sb.append(day);
        }
        return sb.toString();
    }
    public static void main(String[] args){
        /**
         YMD dzisiaj = new YMD(2022,9,11);
         System.out.println(dzisiaj);
         YMD dostw = YMD.dateOfSummerToWinter(2022);
         System.out.println(dostw);
         Swieto swieto1 = CalendarUtil.pierwszapomoc(2022);
         System.out.println(swieto1);
         Swieto swieto2 = CalendarUtil.dzienchemika(2022);
         System.out.println(swieto2);
         Swieto swieto3 = CalendarUtil.dzienprzyjazni(2022);
         System.out.println(swieto3);
         Swieto swieto4 = CalendarUtil.dzientrzezwosci(2022);
         System.out.println(swieto4);
         Swieto swieto5 = CalendarUtil.godzinadlaziemi(2022);
         System.out.println(swieto5);
         Swieto swieto6 = CalendarUtil.rownonocwiosenna(2023);
         System.out.println(swieto6);
         Swieto swieto7 = CalendarUtil.rownonocjesienna(2023);
         System.out.println(swieto7);
         Swieto swieto8 = CalendarUtil.przesilenieletnie(2023);
         System.out.println(swieto8);
         Swieto swieto9 = CalendarUtil.przesileniezimowe(2023);
         System.out.println(swieto9);
         ArrayList<Swieto> al = swietaCzerwone(2023);
         for(Swieto s : al){
         System.out.println(s);
         }
         ArrayList<Swieto> al1 = swietaStale(2023);
         for(Swieto s : al1){
         System.out.println(s);
         }
         ArrayList<Swieto> al2 = swietaRuchome(2023);
         for(Swieto s : al2){
         System.out.println(s);
         }
         ArrayList<Swieto> al3 = swietaWielodniowe(2023);
         for(Swieto s : al3){
         System.out.println(s);
         }
         int[] dni = swieta(11, 2022);
         for(int i : dni){
         System.out.println(i);
         }
         boolean isSwieto = isSwieto(dni, 11);
         System.out.println(true);
         ArrayList<Swieto> al5 = wszystkieSwieta(2023);
         for(Swieto s : al5){
         System.out.println(s);
         }
         */
        /*
        Swieto[] al6 = swietaDzisiaj(2023, 9, 16);
        for(Swieto s : al6){
            System.out.println(s);
        }
        Swieto[] al7 = swietaJutro(2023, 9, 16);
        for(Swieto s : al7){
            System.out.println(s);
        }
        */

    }
}
